public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/sci:master commit in: sci-libs/coinor-csdp/
@ 2012-07-20 17:21 Sebastien Fabbro
  0 siblings, 0 replies; 3+ messages in thread
From: Sebastien Fabbro @ 2012-07-20 17:21 UTC (permalink / raw
  To: gentoo-commits

commit:     637e2b992ccb8e6e51de570dd46b615d7056035f
Author:     Sebastien Fabbro <sfabbro <AT> uvic <DOT> ca>
AuthorDate: Fri Jul 20 16:58:24 2012 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Fri Jul 20 16:58:24 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=637e2b99

sci-libs/coinor-csdp: Initial import

(Portage version: 2.2.01.20757-prefix/git/Linux x86_64, unsigned Manifest commit)

---
 sci-libs/coinor-csdp/ChangeLog                |    9 ++
 sci-libs/coinor-csdp/coinor-csdp-6.1.1.ebuild |  100 +++++++++++++++++++++++++
 sci-libs/coinor-csdp/metadata.xml             |   16 ++++
 3 files changed, 125 insertions(+), 0 deletions(-)

diff --git a/sci-libs/coinor-csdp/ChangeLog b/sci-libs/coinor-csdp/ChangeLog
new file mode 100644
index 0000000..2d2878e
--- /dev/null
+++ b/sci-libs/coinor-csdp/ChangeLog
@@ -0,0 +1,9 @@
+# ChangeLog for sci-libs/coinor-csdp
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*coinor-csdp-6.1.1 (20 Jul 2012)
+
+  20 Jul 2012; Sébastien Fabbro <bicatali@gentoo.org> +coinor-csdp-6.1.1.ebuild,
+  +metadata.xml:
+  sci-libs/coinor-csdp: Initial import

diff --git a/sci-libs/coinor-csdp/coinor-csdp-6.1.1.ebuild b/sci-libs/coinor-csdp/coinor-csdp-6.1.1.ebuild
new file mode 100644
index 0000000..fb8fa9b
--- /dev/null
+++ b/sci-libs/coinor-csdp/coinor-csdp-6.1.1.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+inherit versionator toolchain-funcs flag-o-matic  multilib
+
+MYPN=Csdp
+
+DESCRIPTION="COIN-OR C Library for Semi-Definite Programming"
+HOMEPAGE="https://projects.coin-or.org/Csdp/"
+SRC_URI="http://www.coin-or.org/download/source/${MYPN}/${MYPN}-${PV}.tgz"
+
+LICENSE="EPL-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples openmp static-libs"
+
+RDEPEND="
+	virtual/blas
+	virtual/lapack"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig"
+
+S="${WORKDIR}/${MYPN}-${PV}"
+
+static_to_shared() {
+	local libstatic=${1}; shift
+	local libname=$(basename ${libstatic%.a})
+	local soname=${libname}$(get_libname $(get_version_component_range 1-2))
+	local libdir=$(dirname ${libstatic})
+
+	einfo "Making ${soname} from ${libstatic}"
+	if [[ ${CHOST} == *-darwin* ]] ; then
+		${LINK:-$(tc-getCC)} ${LDFLAGS}  \
+			-dynamiclib -install_name "${EPREFIX}"/usr/lib/"${soname}" \
+			-Wl,-all_load -Wl,${libstatic} \
+			"$@" -o ${libdir}/${soname} || die "${soname} failed"
+	else
+		${LINK:-$(tc-getCC)} ${LDFLAGS}  \
+			-shared -Wl,-soname=${soname} \
+			-Wl,--whole-archive ${libstatic} -Wl,--no-whole-archive \
+			"$@" -o ${libdir}/${soname} || die "${soname} failed"
+		[[ $(get_version_component_count) -gt 1 ]] && \
+			ln -s ${soname} ${libdir}/${libname}$(get_libname $(get_major_version))
+		ln -s ${soname} ${libdir}/${libname}$(get_libname)
+	fi
+}
+
+pkg_setup() {
+	if use openmp && [[ $(tc-getCC) == *gcc* ]] && ! tc-has-openmp; then
+		eerror "Your selected gcc compiler does not support OpenMP"
+		die "OpenMP non capable gcc"
+	fi
+}
+
+src_prepare() {
+	find . -name Makefile -exec sed -i -e 's:make:$(MAKE):g' '{}' \;
+	append-cflags -DNOSHORTS -DUSEGETTIME -I../include
+	if use openmp; then
+		[[ $(tc-getCC) == *gcc* ]] && append-cflags -fopenmp \
+			&& append-ldflags -fopenmp
+		[[ $(tc-getCC) == *icc* ]] && append-cflags -openmp
+		append-cflags -DUSEOPENMP
+	fi
+	use amd64 && append-cflags -DBIT64
+	[[ $(pkg-config --libs blas) =~ -latlas ]] && append-cflags -DUSEATLAS
+	sed -i \
+		-e "s:-O3:${CFLAGS}:" \
+		-e "s:ar :$(tc-getAR) :" \
+		*/Makefile || die
+}
+
+src_compile() {
+	emake CFLAGS="${CFLAGS} -fPIC" -C lib
+	local libs="$(pkg-config --libs blas lapack)"
+	static_to_shared lib/libsdp.a ${libs}
+	use static-libs && emake -C lib clean && emake -C lib
+	emake -C solver LIBS="${libs} -L../lib -lsdp"
+	emake -C theta LIBS="${libs} -L../lib -lsdp"
+}
+
+src_test() {
+	LD_LIBRARY_PATH="${S}/lib" emake -C test
+}
+
+src_install() {
+	dobin solver/csdp theta/{theta,graphtoprob,complement,rand_graph}
+	dolib.so lib/libsdp$(get_libname)*
+	use static-libs && dolib.a lib/libsdp.a
+	insinto /usr/include/${PN}
+	doins include/*
+	dodoc AUTHORS README
+	use doc && dodoc doc/csdpuser.pdf
+	if use examples; then
+		insinto /usr/share/doc/${PF}/examples
+		doins example/*
+	fi
+}

diff --git a/sci-libs/coinor-csdp/metadata.xml b/sci-libs/coinor-csdp/metadata.xml
new file mode 100644
index 0000000..cfceba8
--- /dev/null
+++ b/sci-libs/coinor-csdp/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci</herd>
+<longdescription lang="en">
+   CSDP is a library of routines that implements a predictor corrector
+   variant of the semidefinite programming algorithm of Helmberg,
+   Rendl, Vanderbei, and Wolkowicz. The main advantages of this code
+   are that it is written to be used as a callable subroutine, it is
+   written in C for efficiency, the code runs in parallel on shared
+   memory multi-processor systems, and it makes effective use of
+   sparsity in the constraint matrices. CSDP has been compiled on many
+   different systems. The code should work on any system with an ANSI
+   C Compiler and BLAS/LAPACK libraries.
+</longdescription>
+</pkgmetadata>



^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/coinor-csdp/
@ 2012-07-20 17:21 Sebastien Fabbro
  0 siblings, 0 replies; 3+ messages in thread
From: Sebastien Fabbro @ 2012-07-20 17:21 UTC (permalink / raw
  To: gentoo-commits

commit:     97477c841e2908219c62d79e897bbf256d185d1a
Author:     Sebastien Fabbro <sfabbro <AT> uvic <DOT> ca>
AuthorDate: Fri Jul 20 17:01:31 2012 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Fri Jul 20 17:01:31 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=97477c84

fixed license to CPL

---
 sci-libs/coinor-csdp/coinor-csdp-6.1.1.ebuild |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/sci-libs/coinor-csdp/coinor-csdp-6.1.1.ebuild b/sci-libs/coinor-csdp/coinor-csdp-6.1.1.ebuild
index fb8fa9b..c819222 100644
--- a/sci-libs/coinor-csdp/coinor-csdp-6.1.1.ebuild
+++ b/sci-libs/coinor-csdp/coinor-csdp-6.1.1.ebuild
@@ -12,7 +12,7 @@ DESCRIPTION="COIN-OR C Library for Semi-Definite Programming"
 HOMEPAGE="https://projects.coin-or.org/Csdp/"
 SRC_URI="http://www.coin-or.org/download/source/${MYPN}/${MYPN}-${PV}.tgz"
 
-LICENSE="EPL-1.0"
+LICENSE="CPL-1.0"
 SLOT="0"
 KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
 IUSE="doc examples openmp static-libs"



^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/coinor-csdp/
@ 2013-01-29 22:30 Sebastien Fabbro
  0 siblings, 0 replies; 3+ messages in thread
From: Sebastien Fabbro @ 2013-01-29 22:30 UTC (permalink / raw
  To: gentoo-commits

commit:     20af819f6eda6b9c56c739bf4eb52ab1feba96cc
Author:     Sébastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 29 22:29:27 2013 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Tue Jan 29 22:29:27 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=20af819f

sci-libs/coinor-csdp: use generic pkg-config

Package-Manager: portage-2.2.01.21688-prefix

---
 sci-libs/coinor-csdp/ChangeLog                |    5 ++++-
 sci-libs/coinor-csdp/coinor-csdp-6.1.1.ebuild |    8 ++++----
 2 files changed, 8 insertions(+), 5 deletions(-)

diff --git a/sci-libs/coinor-csdp/ChangeLog b/sci-libs/coinor-csdp/ChangeLog
index 2d2878e..2e42019 100644
--- a/sci-libs/coinor-csdp/ChangeLog
+++ b/sci-libs/coinor-csdp/ChangeLog
@@ -1,7 +1,10 @@
 # ChangeLog for sci-libs/coinor-csdp
-# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+  29 Jan 2013; Sébastien Fabbro <bicatali@gentoo.org> coinor-csdp-6.1.1.ebuild:
+  sci-libs/coinor-csdp: use generic pkg-config
+
 *coinor-csdp-6.1.1 (20 Jul 2012)
 
   20 Jul 2012; Sébastien Fabbro <bicatali@gentoo.org> +coinor-csdp-6.1.1.ebuild,

diff --git a/sci-libs/coinor-csdp/coinor-csdp-6.1.1.ebuild b/sci-libs/coinor-csdp/coinor-csdp-6.1.1.ebuild
index c819222..3c5a3fc 100644
--- a/sci-libs/coinor-csdp/coinor-csdp-6.1.1.ebuild
+++ b/sci-libs/coinor-csdp/coinor-csdp-6.1.1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Header: $
 
-EAPI=4
+EAPI=5
 
 inherit versionator toolchain-funcs flag-o-matic  multilib
 
@@ -65,7 +65,7 @@ src_prepare() {
 		append-cflags -DUSEOPENMP
 	fi
 	use amd64 && append-cflags -DBIT64
-	[[ $(pkg-config --libs blas) =~ -latlas ]] && append-cflags -DUSEATLAS
+	[[ $($(tc-getPKG_CONFIG) --libs blas) =~ -latlas ]] && append-cflags -DUSEATLAS
 	sed -i \
 		-e "s:-O3:${CFLAGS}:" \
 		-e "s:ar :$(tc-getAR) :" \
@@ -74,7 +74,7 @@ src_prepare() {
 
 src_compile() {
 	emake CFLAGS="${CFLAGS} -fPIC" -C lib
-	local libs="$(pkg-config --libs blas lapack)"
+	local libs="$($(tc-getPKG_CONFIG) --libs blas lapack)"
 	static_to_shared lib/libsdp.a ${libs}
 	use static-libs && emake -C lib clean && emake -C lib
 	emake -C solver LIBS="${libs} -L../lib -lsdp"


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2013-01-29 22:30 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2013-01-29 22:30 [gentoo-commits] proj/sci:master commit in: sci-libs/coinor-csdp/ Sebastien Fabbro
  -- strict thread matches above, loose matches on Subject: below --
2012-07-20 17:21 Sebastien Fabbro
2012-07-20 17:21 Sebastien Fabbro

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox